%define upstream_name    Math-Random-ISAAC
%define upstream_version 1.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Pure Perl port of the ISAAC PRNG algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildArch: noarch

%{?perl_default_filter}

%description
As with other Pseudo-Random Number Generator (PRNG) algorithms like the
Mersenne Twister (see the Math::Random::MT manpage), this algorithm is
designed to take some seed information and produce seemingly random results
as output.

However, ISAAC (Indirection, Shift, Accumulate, Add, and Count) has
different goals than these commonly used algorithms. In particular, it's
really fast - on average, it requires only 18.75 machine cycles to generate
a 32-bit value. This makes it suitable for applications where a significant
amount of random data needs to be produced quickly, such solving using the
Monte Carlo method or for games.

The results are uniformly distributed, unbiased, and unpredictable unless
you know the seed. The algorithm was published by Bob Jenkins in the late
90s and despite the best efforts of many security researchers, no feasible
attacks have been found to date.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.4.0-11.mga9
+ Revision: 1804458
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.4.0-10.mga8
+ Revision: 1495581
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.4.0-9.mga7
+ Revision: 1269239
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.4.0-8.mga6
+ Revision: 1029767
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.4.0-7.mga6
+ Revision: 930772
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-6.mga5
+ Revision: 749153
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.4.0-5.mga5
+ Revision: 735691
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-4.mga5
+ Revision: 685376
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 369660
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- imported package perl-Math-Random-ISAAC


* Sat Aug 13 2011 cpan2dist 1.004-1mga
- initial mageia release, generated with cpan2dist
